﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.radChart.ItemsSource = GetData();
        }

        public IEnumerable<IEnumerable<Tuple<double, double?>>> GetData()
        {
            Random r = new Random();
            var data = new List<IEnumerable<Tuple<double, double?>>>();
            for (int col = 0; col < 4; col++)
            {
                var collection = new List<Tuple<double, double?>>();
                for (int i = 0; i < 20; i++)
                {
                    collection.Add(new Tuple<double, double?>(i, i % 5 == 0 ? null : (double?)r.Next(0, 100)));
                }
                data.Add(collection);
            }
            return data;
        }
    }
}
